#!/bin/sh

LOGS_DIR=logs

run_scheduler_tests() {
	sos_tester 20000 20 30 99 >$2/sos_tester_output_20_30-99_$1.txt
	sos_tester 20000 20 80 99 >$2/sos_tester_output_20_80-99_$1.txt
	sos_tester 20000 20 93 99 >$2/sos_tester_output_20_93-99_$1.txt
}

cd "$(dirname "$0")"

alert --warning "During tests system will hang up for a minute. To get most accurate results quit all other applications." "Begin" "Cancel">/dev/null 2>&1
result=$?

if [ $result -eq 0 ]
then
	mkdir $LOGS_DIR>/dev/null 2>&1
	run_scheduler_tests $1 $LOGS_DIR
	alert --info "Finished. Feel free to examine logs." "OK">/dev/null 2>&1
fi
